<?php

  function e_artistes($env)
  {
    # par défaut, on n'affiche pas l'onglet d'édition d'un artiste
    $env->out["edit_ok"] = false;

    # si $_GET["id"] existe, c'est qu'on demande une fiche artiste
    if(isset($_GET[$env->param("artiste")]))
    {
      # on récupère les infos de l'artiste et on vérifie que l'accès en base s'est bien passé
      if(($env->out["artiste"] = $env->data->artiste($_GET[$env->param("artiste")])) !== false)
      {
        # si le visiteur est loggé et qu'il est admin de l'artiste demandé,
        # on idique ici qu'il faut afficher l'onglet d'édition

        if
        (    $env->pun_user["id"] === $env->out["artiste"]["pun_user"]
          || $env->pun_user["is_super_admin"]
          || $env->data->is_artiste_admin($_GET[$env->param("artiste")], $env->pun_user["id"])
        ) $env->out["edit_ok"] = true;

        # le paramètre $_GET["page"] indique quel onglet afficher
        $env->page = isset($_GET[$env->param("page")]) ? $_GET[$env->param("page")] : "presentation";

        # on compte les mp3 disponibles pour le player
        $env->out["mp3"] = $env->data->nb_mp3
        ( $_GET[$env->param("artiste")],
          true,
          $_GET[$env->param("album")] ? $_GET[$env->param("album")] : null
        );
        # onglet presentation
        if(true || $env->page === "presentation")
        { if(($env->out["presentation"] = $env->data->artiste_presentation($_GET[$env->param("artiste")])) !== false)
          { if
            ( !$env->out["artiste"]["pun_forum"] ||
              ( $env->out["artiste_messages_forum"] = $env->data->forum_last_messages(5, $env->out["artiste"]["pun_forum"])
              ) !== false
            )
            { if(($env->out["artiste_news"] = $env->data->artiste_news($_GET[$env->param("artiste")], 0, true, 5)) !== false)
              {
              }
              else $env->erreur = "Impossible de lire les derni&egrave;res news de cet artiste";
            }
            else $env->erreur = "Impossible de lire les derniers posts du forum de cet artiste";
          }
          # s'il y a eu un problème lors de la lecture de la présentation de l'artiste, on affiche une erreur
          else $env->erreur = "Impossible de lire la presentation de l'artiste";
        }

        # onglet news
        if(true || $env->page === "news")
        { if(isset($_GET[$env->param("id")]))
          { if(($env->out["news"] = $env->data->artiste_news($_GET[$env->param("artiste")], 0, true, 1, $_GET[$env->param("id")])) === false)
            { # s'il y a eu un problème lors de la lecture des news de l'artiste, on affiche une erreur
              $env->erreur = "Impossible de lire les informations de cette news";
            }
          }
          else
          { if(($env->out["news"] = $env->data->artiste_news($_GET[$env->param("artiste")], $env->start, true)) === false)
            { # s'il y a eu un problème lors de la lecture des news de l'artiste, on affiche une erreur
              $env->erreur = "Impossible de lire les news de l'artiste";
            }
          }
        }

        # onglet downloads
        if(true || $env->page === "downloads")
        { if(($env->out["licences"] = $env->data->licences()) !== false)
          { if
            ( ( $env->out["downloads"] = $env->data->artiste_downloads
                ( $_GET[$env->param("artiste")],
                  true,
                  $_GET[$env->param("album")] ? $_GET[$env->param("album")] : null
                )
              ) !== false
            )
            { if(($env->out["albums"] = $env->data->artiste_albums($_GET[$env->param("artiste")], true)) !== false)
              { if($_GET[$env->param("album")])
                { if(($env->out["album"] = $env->data->artiste_album($_GET[$env->param("album")])) !== false)
                  {
                  }
                  else $env->erreur = "Impossible de lire les informations de l'album.";
                }
              }
              else $env->erreur = "Impossible de lire la liste des albums.";
            }
            else $env->erreur = "Impossible de lire les downloads de l'artiste";
          }
          else $env->erreur = "Impossible de lire la liste des licences";
        }

        # onglet contact
        if($env->out["artiste"]["contact_form"] && $env->out["artiste"]["email_contact"] && (true || $env->page === "contact"))
        { require $env->path("app")."plugins/ptitcaptcha.php";
          if($_POST)
          { if($_POST["from"] && $env->data->is_email($_POST["from"]))
            { if(PtitCaptchaHelper::checkCaptcha())
              { if
                ( @mail
                  ( $env->out["artiste"]["email_contact"],
                    "Message depuis ".$env->config("site_name"),
                     "Quelqu'un vous a ecrit depuis le formulaire de contact sur votre page artiste\n\n"
                    ."email de l'expediteur : ".$_POST["from"]."\n"
                    ."sujet : ".$_POST["sujet"]."\n"
                    ."message : \n"
                    ."------------------------------------\n"
                    .$_POST["message"],
                    "From: ".$_POST["from"]."\r\n"
                  )
                )
                { _redirect
                  ( $env,
                    $env->url(array("e" => "artistes", "artiste" => $env->out["artiste"]["id"])),
                    "Votre message a &eacute;t&eacute; envoy&eacute; &agrave; ".$env->out["artiste"]["nom"],
                    2
                  );
                }
                else $env->erreur = "Une erreur est survenue. Impossible d'envoyer le message.";
              }
              else $env->message = "L'anti-spam ne correspond pas";
            }
            else $env->message = "Merci de pr&eacute;ciser votre email";
          }
        }

      }
      # s'il y a eu un problème lors de la lecture des infos de l'artiste, on affiche une erreur
      else $env->erreur = "Impossible de lire les infos de l'artiste";
    }

    # si $_GET["id"] n'existe pas, c'est qu'on demande la liste des artistes
    else
    { if(($env->out["artistes"] = $env->data->artistes()) === false)
      { $env->message = "Impossible de r&eacute;cup&eacute;rer la liste des artistes";
      }
    }
  }

?>